Read the price and available manufacturers
Track a FRED quote: calculation status, manufacturer offers, shipping costs and any approvals required before ordering.
Published by FRED
Track a FRED quote: calculation status, manufacturer offers, shipping costs and any approvals required before ordering.
Authorization
ApiKeyAuth X-API-Key<token>
Key created in the dashboard, to be kept on your server.
In: header
Path Parameters
quote_id*Quote Id
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/storefront/quotes/string"{ "id": "est_exemple", "object": "print_quote", "status": "ready", "comparison_complete": true, "file_id": "file_exemple", "product_id": null, "quantity": 1, "material": "PLA", "destination": { "country": "FR", "postal_code": "34000" }, "recommended_option_id": "opt_exemple", "options": [ { "id": "opt_exemple", "supplier": { "id": "farm_exemple", "name": "Atelier exemple", "city": "Montpellier", "country": "FR" }, "recommended": true, "available": true, "reason": null, "price": { "currency": "EUR", "production_cents": 800, "service_cents": 150, "shipping_cents": 509, "insert_cents": 0, "subtotal_cents": 1459, "tax_cents": 292, "tax_rate_bps": 2000, "total_cents": 1751 }, "dispatch_hours": 48, "transit_hours": 48, "delivery_hours": 96, "expires_at": "2030-01-01T13:00:00Z", "simulated": false, "preparation_id": "prep_exemple", "artifact_id": "artifact_exemple", "preview_url": "/v1/preparations/prep_exemple/content", "approval_required": false, "estimate_source": "slicer", "indicative": false, "estimation_notice": null } ], "unavailable_suppliers": [], "issues": [], "ordering_enabled": true, "poll_url": "/v1/storefront/quotes/est_exemple"}